version = 3
# (Default: 1) Configures the parallelism of global executor
globalExecutorParallelism = "default"

# Configuration for io system
[ioSystem]
	# (Default: true) Whether to use async chunk loading & unloading
	async = "default"
	# (Default: -1) Defines which chunk compression should be used 
	# -1 for Vanilla default  
	# 1  for GZip (RFC1952) (Vanilla compatible) 
	# 2  for Zlib (RFC1950) (Vanilla default) (Vanilla compatible) 
	# 3  for Uncompressed (Fastest, but higher disk usage) (Vanilla compatible) 
	#  
	# Original chunk data will still readable after modifying this option  
	# as this option only affects newly stored chunks 
	# Invalid values will fall back to vanilla default
	# 
	chunkStreamVersion = "default"
	# (Default: true) Whether to use the optimized implementation of IO system
	replaceImpl = "default"
	# (Default: 1536) Soft limit for io worker nbt cache
	chunkDataCacheSoftLimit = "default"
	# (Default: 6144) Hard limit for io worker nbt cache
	chunkDataCacheLimit = "default"

# Configuration for threaded world generation
[threadedWorldGen]
	# (Default: true) Whether to allow feature generation (world decorations like trees, ores and etc.) run in parallel
	# (may cause incompatibility with other mods)
	allowThreadedFeatures = "default"
	# (Default: true) Whether to allow reducing lock radius 
	# (may cause incompatibility with other mods)
	reduceLockRadius = "default"
	# (Default: false) Whether to enable this feature
	enabled = "default"

# Configuration for async scheduling system
[asyncScheduling]
	# (Default: true) Whether to enable async and parallel scheduling 
	# This will reduce server thread load 
	# (may cause incompatibility with other mods)
	# 
	enabled = "default"

# Configuration for vanilla worldgen optimizations
[vanillaWorldGenOptimizations]
	# (Default: true) Whether to enable aquifer optimizations to accelerate overworld worldgen
	# (may cause incompatibility with other mods)
	optimizeAquifer = "default"
	# (Default: true) Whether to enable End Biome Cache to accelerate The End worldgen 
	# This is no longer included in lithium-fabric 
	# (may cause incompatibility with other mods)
	# 
	useEndBiomeCache = "default"

# Configuration for general optimizations
[generalOptimizations]
	# (Default: true) Whether to enable mid-tick chunk tasks  
	# Mid-tick chunk tasks is to execute chunk tasks during server tick loop  
	# to speed up chunk loading and generation  
	# This helps chunks loading and generating under high MSPT but may raise  
	# MSPT when chunks are loading or generating  
	#  
	# Incompatible with Dimensional Threading (dimthread)
	# 
	doMidTickChunkTasks = "default"
	# (Default: true) Whether to let async chunk request no longer block server thread
	# (may cause incompatibility with other mods)
	optimizeAsyncChunkRequest = "default"

	# Configuration for auto-save
	[generalOptimizations.autoSave]
		# (Default: ENHANCED) Defines how auto save should be handled  
		# VANILLA: Use vanilla auto-save behavior (auto-save performed every tick during ticking)  
		# ENHANCED: Use C2ME enhanced auto-save (auto-save performed when the server have spare time after ticking)  
		# PERIODIC: Use pre-1.18 vanilla auto-save behavior (auto-save performed every 6000 ticks during ticking)  
		#  
		# Please preserve quotes so this config don't break
		# 
		mode = "default"
		# (Default: 20000) Defines the delay in milliseconds between performing auto-save for a chunk  
		# This is only used when mode is set to ENHANCED
		# 
		delay = "default"

# Configuration for no-tick view distance
[noTickViewDistance]
	# (Default: true) Whether to use compatibility mode to send chunks 
	#  This may fix some mod compatibility issues
	compatibilityMode = "default"
	# (Default: false) Whether to ensure correct chunks within normal render distance 
	#  This will send chunks twice increasing network load
	ensureChunkCorrectness = "default"
	# (Default: 12) No-tick view distance updates per tick 
	#  Lower this for a better latency and higher this for a faster loading
	updatesPerTick = "default"
	# (Default: true) Whether to enable no-tick view distance
	enabled = "default"

[clientSideConfig]

	[clientSideConfig.modifyMaxVDConfig]
		# (Default: true) Whether to modify maximum view distance
		enabled = "default"
		# (Default: 34) Max render distance allowed in game options
		maxViewDistance = "default"

